// Code scaffolded by goctl. Safe to edit.
// goctl 1.9.2

package verification_admin

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"
	"juwan-backend/app/users/api/internal/logic/verification_admin"
	"juwan-backend/app/users/api/internal/svc"
	"juwan-backend/app/users/api/internal/types"
)

// 管理员获取认证申请列表 (分页)
func GetVerificationsHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.GetPendingListReq
		if err := httpx.Parse(r, &req); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := verification_admin.NewGetVerificationsLogic(r.Context(), svcCtx)
		resp, err := l.GetVerifications(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
